using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication3
{
    class Program
    {
        static int partition(Frilencer[] arr, Int64 low,
                                   Int64 high)
        {
            double pivot = arr[high].procenat;

            Int64 i = (low - 1);
            for (Int64 j = low; j < high; j++)
            {

                if (arr[j].procenat < pivot)
                {
                    i++;

                    Frilencer temp = arr[i];
                    arr[i] = arr[j];
                    arr[j] = temp;
                }
            }

            Frilencer temp1 = arr[i + 1];
            arr[i + 1] = arr[high];
            arr[high] = temp1;

            return (int) (i + 1);
        }

        static void quickSort(Frilencer[] arr, Int64 low, Int64 high)
        {
            if (low < high)
            {

                int pi = partition(arr, low, high);

                quickSort(arr, low, pi - 1);
                quickSort(arr, pi + 1, high);
            }
        }

        static void printArray(Frilencer[] arr, Int64 n)
        {
            for (int i = 0; i < n; ++i)
                Console.Write(arr[i].zarada + " "+ arr[i].procenat);

            Console.WriteLine();
        } 

        static void Main(string[] args)
        {

            Int64 N = int.Parse(Console.ReadLine());

            Frilencer[] f = new Frilencer[N];
           

                      for (int i = 0; i < N; i++)
                      {
                          string[] tokens = Console.ReadLine().Split();
                         Int64 a = Int64.Parse(tokens[0]);
                          double b = double.Parse(tokens[1]);
                          f[i] = new Frilencer(a, b);
                             
                      }
                      quickSort(f, 0, N - 1);
                     

                      double max = 0;

                      for (Int64 i = 0; i < N; i++)
                      {
                          double sum = 0;
                          for (Int64 j = i; j <N; j++)
                          {
                              sum = sum + f[j].zarada * (f[i].procenat / 100);
                          }
                          if (sum > max)
                          {
                              max = sum;
                          }
                      }
                      Console.Write(max.ToString());

        }
    }
    public class Frilencer
    {
        public Int64 zarada;
        public double procenat;

        public Frilencer(Int64 z, double p)
        {
            this.zarada = z;
            this.procenat = p;
        }


    }

}